<template>
    <div class="flex items-center">
        <label for="dropzone-file"
            class="flex flex-col justify-center items-center min-w-[250px]  bg-gray-50 rounded-full border border-gray-300 cursor-pointer hover:bg-gray-100 ">
            <div class="flex justify-between items-center p-2 text-sm w-full px-[15px]">
                <span>{{ file ? file?.name : 'Attechment Upload' }}</span>
                <fa-icon icon="fa-solid fa-paperclip" />
            </div>
            <input v-bind="$attrs" ref="file" @change="handleFileUpload" id="dropzone-file" type="file"
                class="hidden" />
        </label>
    </div>
</template>

<script>
export default {
    name: 'v-file-input',
    data: () => ({
        file: ''
    }),
    methods: {
        handleFileUpload() {
            this.file = this.$refs.file.files[0];
            this.$emit("onUpload", this.file);
        }
    }
}
</script>
